# Complete a chunk set

After all the chunk data in a particular chunk set has been copied to the *destination* environment, use this endpoint to generate a `.raif` file containing the chunk set data on that environment. The name of this new file is returned in the body of a successful call to this endpoint.
Make this request in your *destination* environment.
Make sure to complete every chunk set.
To incorporate the `.raif` file data into the destination environment's database, use the separate [Item Transfer API](https://api-docs.sitecore.com/sai/item-transfer).

Endpoint: POST /sitecore/api/content/transfer/v1/transfers/{transferId}/chunksets/{chunksetId}/complete
Version: v1.0
Security: bearerAuth

## Security:

  - `bearerAuth` (unknown)
    http bearer JWT

## Path parameters:

  - `transferId` (string, required)
    The unique identifier of the transfer operation. This is the UUID you provided when you [created a content transfer operation](#operation/ContentTransfer_CreateContentTransfer).

  - `chunksetId` (string, required)
    The unique identifier of the chunk set to complete.

## Response 200:

  - `200` (unknown)
    Chunk set completed successfully, returns the transfer filename

## Response 200 fields (application/json):

  - `ContentTransferFileName` (string)
    The name of the `.raif` file, automatically generated based on the identifier of the source data.

## Response 400:

  - `400` (unknown)
    Invalid chunk set or transfer information

## Response 400 fields (application/json):

  - `Error` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized.

## Response 401 fields (application/json):

  - `Error` (string)

## Response 403:

  - `403` (unknown)
    Forbidden.

## Response 403 fields (application/json):

  - `Error` (string)

## Response 500:

  - `500` (unknown)
    Internal server error during chunk set completion

## Response 500 fields (application/json):

  - `Error` (string)

